# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#

# END COPYRIGHT BLOCK

ifdef WEBSERVER_LANGS
LANG_LOOP=							\
  @for d in $(WEBSERVER_LANGS); do				\
    if test ! -d $$d; then					\
      echo Directory $$d does not exist. Creating...;		\
      mkdir -p $$d;						\
    fi;								\
    echo cd $$d;						\
    cd $$d;							\
    echo $(MAKE) -f ../Makefile $(MAKEFLAGS) INT_SUBDIR=1;	\
    $(MAKE) -f ../Makefile $(MAKEFLAGS) INT_SUBDIR=1;		\
    cd ..;							\
  done
else
LANG_LOOP= @echo "No foreign languages in this build"
endif

