/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * END COPYRIGHT BLOCK **/

#ifndef __INSBASE_H
#define __INSBASE_H

#define BASE_Z                   "base.z"
#define BASESYS_Z                "basesys.z"
#define STR_COPY_BASE            "Copying Suitespot shared Files"
#define STR_SUITESPOT_BASE       "base"
#define CLIENT_Z                 "client.z"
#define STR_COPY_CLIENT          "Copying Suitespot JRE enviroment Files"
#define STR_SUITESPOT_CLIENT     "base-client"


extern __declspec(dllexport) BOOL __cdecl BASE_PreInstall(LPCSTR lpszInstallPath);
extern __declspec(dllexport) BOOL __cdecl BASE_Install(void);
extern __declspec(dllexport) BOOL __cdecl CLIENT_Install(void);

typedef struct tagMODULEINFO {
  HINSTANCE m_hModule;
  HWND m_hwndParent;
  INT m_nResult;
} MODULEINFO;

#endif // __INSBASE_H
